Skip to content

Slack alerts

GET
/api/v1/slack/settings
curl --request GET \
--url https://digize.com/api/v1/slack/settings \
--header 'x-api-key: <x-api-key>'

The Slack channel owner alerts post to, and which kinds of alert go there.

Needs the settings:read permission.

Done

Media typeapplication/json
object
channelId
required
Any of:
string
<= 32 characters
channelName
required
Any of:
string
<= 80 characters
alerts
required
Array<string>
<= 7 items
Allowed values: commerce crm reviews ads sites integrations billing
connected
required
boolean
kinds
required

Every kind of alert that can go to Slack.

Array<object>
object
value
required
string
label
required
string

Example

{
"alerts": [
"commerce"
]
}

What was sent isn’t valid (invalid).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

No key, or one that’s unknown, off or expired.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

The key doesn’t have the permission this needs.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

Nothing has that id (not_found).

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}

Over the rate limit; see retry-after.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: invalid unauthorized forbidden not_found conflict too_large rate_limited unavailable internal
message
required
string
details
object
key
additional properties
any

Example

{
"error": {
"code": "invalid"
}
}